# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

DESCRIPTION="PMSVN - Server's configuration management and monitoring tool"
HOMEPAGE="http://sourceforge.net/projects/pmsvn/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE=""

DEPEND=""
RDEPEND="
	>=app-shells/bash-4.0_p37
	>=sys-apps/gawk-3.1.6
	>=sys-apps/diffutils-2.8.7-r2
	>=sys-apps/sed-4.2
	>=dev-vcs/subversion-1.6.9
	${DEPEND}"


src_install(){
	dosbin ${WORKDIR}/pmsvn || die "dosbin pmsvn failed"
	dodoc ${WORKDIR}/README || die "dodoc README failed"
	insinto /etc
	doins ${WORKDIR}/pmsvn.conf.sample || "doins /etc/pmsvn.conf.sample failed"
}

pkg_postinst(){
	echo
	einfo "You can configure PMSVN manually by editing /etc/pmsvn.conf (check
	/etc/pmsvn.conf.sample before)"
	einfo "or by using builtin wizard just by running pmsvn command"
	einfo "Explaination can be found in /usr/share/doc/${PF}/README.bz2"
}
